Bio::Tools::Run::PiseApplication::assp(3)

NAME
Bio::Tools::Run::PiseApplication::assp

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::assp

      Bioperl class for:

        ASSP    Accuracy of Secondary Structure Prediction (Russell, Barton)

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/assp.html
         for available values):

                assp (String)

                aligfile (InFile)
                        Alignement File (in BLOCK format)

                clus2blc (Switch)
                        Convert CLUSTAL NBRF-PIR format to AMPS Blockfile format

                nbrf_file (String)

                showpar (Switch)
                        show all the parameters for the current run.

                quiet (Switch)
                        avoid all output in the program except for errors and a final lower limit for Q3

                matrix (InFile)
                        -m property type matrix file name

                subsize (Integer)
                        -s length of sequence used to determine poor alignment

                maxalig (Integer)
                        -l maximum number of sub-alignments to be considered

                minprop (Integer)
                        -p minimum number or properties shared to define conservation

                window (Integer)
                        -w window length for conservation definition

                ignseq (Integer)
                        -i fraction of sequences that may be ignored

                mingap (Integer)
                        -g minimum number of gaps allowed

                seqomit (String)
                        -o Seq. to be omitted 1 Seq. to be omitted 2 ...

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/assp.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $assp = Bio::Tools::Run::PiseApplication::assp->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::assp object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $assp = $factory->program('assp');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::assp.